Package org.gdal.ogr

## Class StyleTable

- java.lang.Object
- - org.gdal.ogr.StyleTable

-     public class StyleTable
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StyleTable​()` |
    `StyleTable​(long cPtr, boolean cMemoryOwn)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `AddStyle​(java.lang.String pszName, java.lang.String pszStyleString)` |
    `void` | `delete​()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `Find​(java.lang.String pszName)` |
    `static long` | `getCPtr​(StyleTable obj)` |
    `java.lang.String` | `GetLastStyleName​()` |
    `java.lang.String` | `GetNextStyle​()` |
    `int` | `hashCode​()` |
    `int` | `LoadStyleTable​(java.lang.String utf8_path)` |
    `void` | `ResetStyleStringReading​()` |
    `int` | `SaveStyleTable​(java.lang.String utf8_path)` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StyleTable

          public StyleTable​(long cPtr,
                            boolean cMemoryOwn)

    - #### StyleTable

          public StyleTable​()

  - ### Method Detail

    - #### getCPtr

          public static long getCPtr​(StyleTable obj)

    - #### delete

          public void delete​()

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode​()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### AddStyle

          public int AddStyle​(java.lang.String pszName,
                              java.lang.String pszStyleString)

    - #### LoadStyleTable

          public int LoadStyleTable​(java.lang.String utf8_path)

    - #### SaveStyleTable

          public int SaveStyleTable​(java.lang.String utf8_path)

    - #### Find

          public java.lang.String Find​(java.lang.String pszName)

    - #### ResetStyleStringReading

          public void ResetStyleStringReading​()

    - #### GetNextStyle

          public java.lang.String GetNextStyle​()

    - #### GetLastStyleName

          public java.lang.String GetLastStyleName​()